# Archive Package

This operation marks the specified package as archived by updating its archived status to `true`. Archiving a package indicates that its lifecycle is complete, and it is no longer actively tracked. While archived packages are removed from active workflows, their records remain accessible for future reference

Endpoint: PATCH /api/v1/packages/{packageId}/archive
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `packageId` (string, required)

## Request fields (application/json):

  - `archived` (boolean)
    set to true to archive the package.
    Example: true

## Response 200:

  - `200` (unknown)
    Requested package has been marked archived successfully.

## Response 200 fields (application/json):

  - `packageId` (string)
    The unique identifier for the package.
    Example: ma39N30J6YgdxndDpXyOj

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Asset not found.

  - `errors.additionalCode` (string)
    A unique identifier for the error
    Example: 020005

  - `errors.additionalInfo` (string)
    additional information of the error.
    Example: additional information

  - `errors.additionalParameters` (string)
    The field(s) that might be incorrect in the request.
    Example: additional parameters

  - `errors.correlationID` (string)
    Example: correlationId

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

